---
title: Get Selfie
description: Human Tokenプロセス中にキャプチャされたセルフィーを取得します — プロセス完了後24時間利用可能。
canonical: https://developer.unico.io/ja/human-token/api-reference/get-selfie
locale: ja
generated_by: markdown-export
---

- [/ja/](/ja/)
- APIリファレンス
- Get Selfie

**このページの内容Get SelfieGETHuman Tokenプロセス中にキャプチャされたセルフィーを取得します。

Human Tokenプロセス中にユーザーがキャプチャした生体認証セルフィーを返します。画像はbase64エンコード文字列として返されます。
生体認証キャプチャを実行した完了済みプロセスで利用可能です — 5つすべてのHuman Tokenフロー（`api+humantoken`、`api+liveness+humantoken`、`api+liveness+humantoken+revalidation`、`humantoken`、`humantoken+revalidation`）。生体認証キャプチャなしでプロセスが完了した場合は利用できません。返すセルフィーがないためです。
警告セルフィーはプロセス完了後 **24時間** 利用可能です。その後、画像は永久に削除され、このエンドポイントは `404` を返します。
### エンドポイント​

環境URL**本番**`GET https://humantoken.unico.app/client/v1/process/{processId}/selfie`
### リクエスト​

ヘッダー
ヘッダー値`x-unico-accesskey``<your_access_key>`（[認証](/ja/human-token/get-started/authentication)を参照）
パスパラメータ
パラメータ型必須説明`processId`string (UUID)はい[プロセスの作成](/ja/human-token/api-reference/post-processes)で返されたプロセス識別子。
### 例​

cURLNode.js```
curl -X GET https://humantoken.unico.app/client/v1/process/$PROCESS_ID/selfie \  -H "x-unico-accesskey: $UNICO_ACCESS_KEY"
```

```
import fetch from 'node-fetch';const res = await fetch(  `https://humantoken.unico.app/client/v1/process/${processId}/selfie`,  { headers: { 'x-unico-accesskey': process.env.UNICO_ACCESS_KEY } });const { fileContents, contentType } = await res.json();// fileContents is a base64-encoded image string
```

### レスポンス​

200 OK
```
{  "fileContents": "/9j/4AAQSkZJR...",  "contentType": "image/jpeg"}
```

フィールド型説明`fileContents`string (base64)キャプチャされたセルフィー、base64エンコード済み。`contentType`string画像のMIMEタイプ — `image/jpeg`または`image/png`。
### エラーコード​

400 Bad Request401 Unauthorized403 Forbidden404 Not Found429 Too Many Requestsパスパラメータ`processId`が欠落しているか、形式が正しくありません。`x-unico-accesskey`ヘッダーのアクセスキーが存在しないか、無効です。[認証](/ja/human-token/get-started/authentication)を参照してください。このプロセスのセルフィーにアクセスする権限が不足しています。プロセスが見つからない、プロセスが生体認証キャプチャなしで完了した、または24時間の保持期間が過ぎています。Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
**Best practices:**

**Cool-down period (backoff):** Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
**Queueing & throttling:** Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
**Exponential backoff with jitter:** When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.

警告Continuously hitting a rate-limited endpoint without backing off can **prolong the restriction period** and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see [Rate Limits](/ja/developers/start/rate-limits).
### 次のステップ​

完全なプロセス結果につい ては、[プロセスの取得](/ja/human-token/api-reference/get-process)を参照してください。
新しいセルフィーを送信するには、[プロセスの作成](/ja/human-token/api-reference/post-processes)に戻ってください。
最終更新 2026年10月22日**に